* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
html, body {
  max-width: 100%;
  overflow-x: hidden;
}

.vl {
    border-left: 1px solid black;
    height: 20px;
  }
  .hl{
    border-top: 1px solid #AAAAAA;
    width: 80%;
    margin: auto;
  }

  .hlJouet{
    border-top: 1px solid #AAAAAA;
    width: 100%;
    margin: auto;
  }
  a{
    text-decoration: none;
    font-size: 1.2vw;
  }
  h1{
    font-size: 2vw;
  }
  span{
    font-size: 1vw;
  }
  p{
    font-size: 1vw;
  }
  ul{
    list-style-type: none;
  }


.logo img{
    max-width: 150px; 
}
.search{
  position: relative;
  max-width: 300px;
  width: 100%;
  background-color: white;
  border: 1px solid #AAAAAA;
  border-radius: 6px;
}
.search .fa-solid{
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  left: 5px;
  font-size: 20px;
  color: #AAAAAA;
}
.search input[type=text] {
    font-size: 16px;
    border: none;
    background-color: transparent;
    padding: 8px 8px 8px 40px;
   
}
.nav1{
  display: flex;
  justify-content: space-around;
  align-items: center;
  padding: auto;
}

.nav_div1{
     display: flex;
    align-items: center;
    gap: 1rem;
       
}
.nav_div2{
  display: flex;
  justify-content: center;
}
.nav_div2 div{
  display: flex;
  justify-content: space-between;
  gap: 1rem;
}

.nav2{
  display: flex;
  justify-content: space-around;
  align-items: center;
  background-color: #ffd91c;
}
.nav2 ul{
  display: flex;
  gap: 2rem;
}
.nav2 li{
  padding: 1.5% 5px 1.5% 5px;
}
.nav2 li:hover{
  background-color: white;

}
.ulSize{
  display: flex;
  gap: 1rem;
  margin-bottom: 10px;
}

h4 {
  padding: 10px 0 10px 0;
}


ul#submenu {
    opacity: 0;
    position: absolute;
    display: block;
    visibility: hidden;
    z-index: 1;
    background-color: #eee;
}

#firstchild {
  position: relative;
}
#submenu li{
  float: none;
    width: 100%;
}
#firstchild:hover ul#submenu{
  opacity: 1;
    top: 53px;  /* adjust this as per top nav padding top & bottom comes */
    visibility: visible;

}

.slider {
  position: relative;
  background-repeat: no-repeat;
  height: 50vh;
  width: 100%;
  background-image: url(../images/firstcard.webp);
  background-position: center;
  background-size: cover;
}


.slider_content {
  display: flex;
  justify-content: space-between;
  align-items: center;
 
}

.slider_btnright{
  position: absolute;
  top: 40%;
  right:  2%;
  background: transparent;
  border: none;
  outline: none;
  font-size: 2rem;
  color: #AAAAAA;
  padding: 0 1rem;
  cursor: pointer;
}
.slider_btnleft {
  position: absolute;
  top: 40%;
  left:  2%;
  background: transparent;
  border: none;
  outline: none;
  font-size: 2rem;
  color: #AAAAAA;
  padding: 0 1rem;
  cursor: pointer;
}

.main_section {
  background-color: #eee;
 
}

.main_sectionGarcon {
  background-color: white;
}

.card_Div {
  width: 80%;
  margin: auto;
}

.titleDiv{
 padding: 2%;
 text-align: center;
}


.cards{
  display: flex;
  padding: 1%;
  justify-content: center;
  gap: 1rem;
}

.subcard{
  box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
  width: 35%;
  border-radius: 5px;
}

.subcardch{
  box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
  width: 35%;
 
}


.subcardGarcon{
  width: 35%;
}


 .discriptionGarcon {
  bottom: 6px;
  background-color: #39CCCC;
  color: white;
  width: 100%;
  text-align: center;
  padding: 5px;
}


.subcard:hover{
  transform: translateY(-0.5rem) scale(1.005) translateX(0.15rem);
  box-shadow: 0 4px 8px 0 rgba(246, 50, 50, 0.2);
}



.discription{
  padding: 2px 16px;
}

.productTitle
{
  font-size: 12px;

}

.cards img {
  border-radius: 5px 5px 0 0;
  width: 100%;
}

.nav1 .icon {
  display: none;
}



@media screen and (max-width: 980px) {
  .logo img{
    max-width: 190px; 
  }
  a{
    font-size: 2.5vw;
  }
  span.productTitle {
    font-size: 2vw;
}
  .search{
    height: 35px;
    width: 53%;
   
  }
  .ulSize input[type="checkbox"] + label {
    font-size: 20px;

  }
  .search .fa-solid{
    left: 12px;
    font-size: 22px;
  }
  .search input[type=text]  {
    padding: 2px 8px 5px 46px;
    font-size: 23px;
  }
  .subcardch{
    width: 48%;
  }
  .cards{
    flex-wrap: wrap;
  }
  .cards .fSubcard{
    width: 26%;
    height: 150px;
  }
  span,p,h1{
    font-size: 2.5vw;
  }
}


@media screen and (max-width: 767px) {
  .nav2  {display: none;}
  
  .nav1 a.icon {
    float: right;
    display: block;
    font-size: 4vw;
    color: #AAAAAA;
  }
  .logo img{
    max-width: 65px; 
  }
  .search{
    height: 26px;
    width: 40%;
   
  }
  .search .fa-solid{
    left: 1px;
    font-size: 16px;
  }
  .search input[type=text]  {
    padding: 4px 8px 2px 16px;
    font-size: 15px;
  }

  .nav_div2 div{
    display: flex;
    align-items: center;
    gap: 0.5rem;
  }
  .nav_div2 span{
  display: none;
  }
.nav_div2 .fa-regular, .fa-solid{
  font-size: 3vw;
}
.vl {
 border: none;
}

.nav2.responsive {
  display: block;
  float: none;
  text-align: left;
  
}
 .nav2.responsive ul{
  display: block;
  float: none;
  text-align: left;
 }
 .nav2.responsive a{
   font-size: 3vw;
}


.cards{
  flex-wrap: wrap;
}
.subcard{
  width: 100%;
}
.subcardch{
  width: 100%;

}
span,p,h1{
  font-size: 3.5vw;
}
.cards .fSubcard{
  width: 36%;
  height: 135px;
}

}


.footerSection{
  background-color: #39cccc7e;
  margin: auto;
}

.fSubcard{
  box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
  width: 18%;
  border-radius: 5px;
  border: 3px solid #AAAAAA;
  background-color: #dddddd; 
  height: 150px;
  line-height: 30px;
  padding: 1%;
  
}
.footerSection li{
 text-align: center;
}
.footerSection i{
  color:  #AAAAAA;
  font-size: 1.5rem;

}
.footerDiv1{
  width: 80%;
  margin: auto;
  padding: 1%;
}
.footerDiv2{
  display: flex;
  justify-content: space-around;
  align-items: center;
  padding: auto;
  padding: 1%;
}

input[type="checkbox"]:not(:checked), 
input[type="checkbox"]:checked {
  position: absolute;
  left: -9999%;
}
input[type="checkbox"] + label {
  display: inline-block;
  padding: 5px;
  cursor: pointer;
  border: 1px solid #AAAAAA;
  color: #AAAAAA;
  font-size: 10px;
  border-radius: 2px;
}

input[type="checkbox"]:checked + label {
  border: 1px solid black;
  color: black;
}

.btnCart{
  background-color: #39CCCC;
  color: white;
  border-radius: 2px;
 padding: 11px 50px;
 text-align: center;
 font-size: 1vw;
}

.cartDiv{
  display: flex;
  justify-content: center;
  padding: 2%;
  
}